import { type AxiosResponse } from 'axios';
import { type UpdateTicketInputType, type UpdateTicketResponseType, type AddNoteInputType, type AddNoteResponseType, type GetTicketResponseType, type GetContactResponseType } from './schema';
export declare class FreshdeskApiClient {
    private readonly client;
    constructor({ baseUrl, apiKey }: {
        baseUrl: string;
        apiKey: string;
    });
    getContact(contactId: string): Promise<AxiosResponse<GetContactResponseType>>;
    getTicket(ticketId: string): Promise<AxiosResponse<GetTicketResponseType>>;
    updateTicket({ ticketId, input, }: {
        ticketId: string;
        input: UpdateTicketInputType;
    }): Promise<AxiosResponse<UpdateTicketResponseType>>;
    addNote({ ticketId, input, }: {
        ticketId: string;
        input: AddNoteInputType;
    }): Promise<AxiosResponse<AddNoteResponseType>>;
}
